OVIRO LogoOVIRO
Quản lý sản phẩm (PIM)Thương hiệu

Danh sách thương hiệu

Lấy danh sách thương hiệu sản phẩm (chỉ trạng thái kích hoạt)

Endpoint

GET /site/brands

Headers

KeyValueBắt buộcMô tả
SiteTenantId{tenant_id}ID của công ty/tenant.

Query Parameters

TênKiểuBắt buộcMô tả
idsstringKhôngLọc theo danh sách ID (dạng 1,2,3)

Lưu ý: API tự động lọc status = 1 (Kích hoạt). Sắp xếp mặc định theo display_order ASC, giới hạn tối đa 1000 bản ghi.

Response Schema

HTTP 200 - JSON Object

TrườngKiểuMô tả
totalintTổng số bản ghi
currentpageintTrang hiện tại
limitintSố bản ghi mỗi trang
itemsarrayMảng Brand Object

Ví dụ Response

{
    "total": 2,
    "currentpage": 1,
    "limit": 1000,
    "items": [
        {
            "company_id": 1,
            "creator_id": 10,
            "id": 50,
            "name": "Nike",
            "description": "<p>Thương hiệu thể thao hàng đầu thế giới</p>",
            "display_order": 1.0,
            "avatar_file_id_list": [201],
            "avatar_file_list": [
                {
                    "id": 201,
                    "url": "https://example.com/nike-logo.jpg"
                }
            ],
            "gallery_file_id_list": [],
            "gallery_file_list": [],
            "status": 1,
            "seo_url": "nike",
            "seo_title": "Nike",
            "seo_meta_description": "",
            "seo_meta_keyword": "",
            "seo_graph_file_id": 0,
            "seo_graph_file": {},
            "seo_canonical": "",
            "seo_options": {},
            "date_created": 1710000000,
            "date_modified": 1710000000
        }
    ]
}

On this page